import java.awt.Frame;
import java.awt.Graphics;

public class DiskWorldFrame extends Frame
{
  private static final int FrameWidth  = 600;
  private static final int FrameHeight = 400;
  private static final int Iterations  = 20;

  private Disk disk;
  private int  counter;

  public DiskWorldFrame()
  {
    super();
    setSize ( FrameWidth, FrameHeight );
    setTitle( "Disk World" );

    int r = 10;
    disk = new Disk( FrameWidth/2-r, FrameHeight/2-r, r );
  }
  
  public void paint( Graphics g )
  {
    disk.paint( g );
    try { Thread.sleep( 50 ); } catch (Exception e) {}
    repaint();
  }
}
